明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 2348|回复: 4

[求助]在04中,怎样获取文字的包围盒?

[复制链接]
发表于 2008-4-8 12:37:00 | 显示全部楼层 |阅读模式
在04中,怎样获取文字的包围盒?
一个文字字符串可以得到AcDbText,可以取得文字的插入点,还有文字的高
但文字的宽,和文字之间的间距不知道怎么求,
如果能求得那就能得到一个包围盒了。
请大家帮帮忙!
 楼主| 发表于 2008-4-8 14:01:00 | 显示全部楼层
自行解决
  1. void PrintAcDbTextBox(const AcDbText *pText)
  2. {
  3.     AcDbObjectId styleId = pText->textStyle();
  4.     AcGiTextStyle giTextStyle;
  5.     fromAcDbTextStyle(giTextStyle, styleId);
  6.     AcGePoint2d extMinPt, extMaxPt;
  7.     giTextStyle.extentsBox(pText->textString(), false, -1, false, extMinPt, extMaxPt);
  8.     acutPrintf(_T("extMinPt = (%f, %f)\n"), extMinPt.x, extMinPt.y);
  9.     acutPrintf(_T("extMaxPt = (%f, %f)\n"), extMaxPt.x, extMaxPt.y);
  10. }
复制代码
extMinPt和extMaxPt就可以组成一个包围盒。
发表于 2008-4-8 14:44:00 | 显示全部楼层
那文字要是一个斜的呢?这样未必准确
发表于 2008-4-8 19:46:00 | 显示全部楼层

acedTextBox

用这个不好吗?

发表于 2008-4-24 10:31:00 | 显示全部楼层
把文字复制到AcDbText再计算包围盒
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-25 16:53 , Processed in 0.173202 second(s), 24 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表